Name: gimpsplashloader
Version: 0.01
Release: %mkrel 5

Summary:  Change gimp's splash
Source0:  %{name}-%{version}.tar.xz
Source1:  source.tar.bz2
Patch0:    gimp_splash_loader.patch
Patch1:   gimpsplashloader-0.01-Main-py.patch
URL:      http://www.sciallo.net/index.php
License:  GPLv3
Group:	  Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires:  python >= 2.7
Requires:  gimp   >= 2.8
Obsoletes: %name < %version


%description
This program allow you to change gimp's splash screen.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 gimp_splash_loader %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -a %{name}/* %{buildroot}%{_datadir}/%{name}
bzip2 -cd %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/applications
install -m 755 *.desktop %{buildroot}%{_datadir}/applications

install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert *.png -resize 48x48 %{name}.png
install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps



%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.01-5pclos2013
- update python 2.7

* Mon Dec 10 2012 Ken <lxgator at gmail.com> 0.01-4pclos2012
- rebuild with python2.6
- patched for gimp-2.8

* Mon Oct 12 2009 Texstar <texstar at gmail.com> 0.01-3pclos2010
- rebuild

* Fri Apr 10 2009 slick50 <lxgator at gmail.com> 0.01-2pclos2007
- rebuild with python2.5
- patched for gimp-2.6

* Wed Nov 26 2008 slick50 <lxgator at gmail.com> 0.01-1pclos2007
- initial build
